from django.conf import settings

from urllib.request import Request, urlopen
from urllib.parse import urlencode

class KumiSMS(object):
    def __init__(self, key=None):
        self.key = key or settings.KUMISMS_APIKEY

    def make_call(self, device, token):
        raise NotImplementedError("Kumi SMS does not support phone calls!")

    def send_sms(self, device, token):
        url = 'https://kumisms.com/api/v1/send/'

        vars = {"key": self.key, "text": "Your login token is: " + token, "recipient": str(device.number)}

        request = Request(url, urlencode(vars).encode())
        urlopen(request)

def get_gateway_class(import_path):
    return KumiSMS